using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Services;

[WebService(Namespace = "http://tempuri.org/")]
[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
[System.Web.Script.Services.ScriptService]
public class LibrairieWebService : System.Web.Services.WebService {

    public LibrairieWebService () {
    }

    [WebMethod]
    public Livre GetOuvrage(int index) {
        List<Livre> l = new List<Livre>();

        l.Add(new Livre("ASP.NET 2019 avec C#", "Brice-Arnaud"));
        l.Add(new Livre("ASP.NET 2019 avec VB.NET","Brice-Arnaud"));

        return l[index];
    }

    [WebMethod]
    public Livre[] GetOuvrages()
    {
        List<Livre> l = new List<Livre>();

        l.Add(new Livre("ASP.NET 2019 avec C#", "Brice-Arnaud"));
        l.Add(new Livre("ASP.NET 2019 avec VB.NET", "Brice-Arnaud"));

        return l.ToArray();
    }
}
